package org.synbiowave.synbiowaverobot.menucallbacks;

import java.util.Map.Entry;

import org.synbiowave.AbstractSynBioWaveRobot;
import org.synbiowave.menu.MenuCallBack;
import org.synbiowave.menu.MenuItem;

import com.google.wave.api.Blip;
import com.google.wave.api.event.Event;

public final class DebugDisplayDataDocument extends MenuCallBack {

	public void onButtonClicked(Event event, MenuItem menuItem, AbstractSynBioWaveRobot servlet) {
		Blip blip = event.getBlip().reply();
		blip.append("DataDocument: \n");
		java.util.Iterator<Entry<String, String>> iter = event.getWavelet().getDataDocuments().iterator();
		while (iter.hasNext()){
			Entry<String, String> entry = iter.next();
			blip.append("- " + entry.getKey() + " : " + entry.getValue() + "\n");}
	}
}
