package org.synbiowave.cryptography;

 import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.KeyGenerator;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;


public class AES {
	
	private static SecretKeySpec skeySpec;
	private static Cipher cipher;
     
	public AES() {
		try{ 
			// Get the KeyGenerator
			KeyGenerator kgen=KeyGenerator.getInstance("AES");
			kgen.init(128); // 192 and 256 bits may not be available
	
			// Generate the secret key specs.
			SecretKey skey=kgen.generateKey();
			byte[] raw=skey.getEncoded();
	
			AES.skeySpec=new SecretKeySpec(raw,"AES");
	
			// Instantiate the cipher
			AES.cipher=Cipher.getInstance("AES");}
		 
		catch(NoSuchAlgorithmException e){e.printStackTrace();}
		catch(NoSuchPaddingException e){e.printStackTrace();}}
     
	public static String encrypt(String source){
		try{
			// Encrypt the source string
			AES.cipher.init(Cipher.ENCRYPT_MODE,AES.skeySpec);
			byte[] encrypted=AES.cipher.doFinal(source.getBytes());
			return new String(encrypted);}
		catch(InvalidKeyException e){return null;}
		catch(IllegalBlockSizeException e){return null;}
		catch(BadPaddingException e){return null;}}

	public static String decrypt(String encrypted){ 
		try{
			// Decrypt the encrypted string
			AES.cipher.init(Cipher.DECRYPT_MODE,AES.skeySpec);
			byte[] original=AES.cipher.doFinal(encrypted.getBytes());
			return new String(original);}
		catch(InvalidKeyException e){return null;}
		catch(IllegalBlockSizeException e){return null;}
		catch(BadPaddingException e){return null;}}}