/*
    Copyright: synbiowave
     
    License: GPL
     
    Authors: Paul Staab
     
    Version: 0.1 
     
    DESCRIPTION:
    	This class can be used do generate SynBioWave-Menus, to generate JSON-Strings
    	out of it and menus back of JSON-String.
    	Each item can contain options and recusivly other MenuItems later displayed as
    	subitems.
*/

package org.synbiowave.menu;

import java.util.LinkedHashMap;

public class MenuAnswer
{
	private LinkedHashMap<String, String> value = new LinkedHashMap<String, String>();
	private String event;
	
	public MenuAnswer(){ }
	
	protected void setOption(String name, String value)
	{
		this.value.put(name, value);
	}
	
	protected void setOption(String name, boolean value)
	{
		if (value) this.value.put(name, "true");
		else this.value.put(name, "false");
	}
	
	public LinkedHashMap<String, String> getOptions()
	{
		return this.value;
	}

	protected void setEvent(String event) {
		this.event = event;
	}

	public String getEvent() {
		return event;
	}
	
	
}