package org.synbiowave.menu;

import java.lang.reflect.Type;
import java.util.Map.Entry;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParseException;

public class MenuAnswerDeserializer implements JsonDeserializer<MenuAnswer>{

	@Override
	public MenuAnswer deserialize(JsonElement json, Type arg1,JsonDeserializationContext arg2) throws JsonParseException {
		MenuAnswer mi = new MenuAnswer();
		JsonObject menuobj = json.getAsJsonObject();
		
		for (Entry<String, JsonElement> entry : menuobj.entrySet()){
			if (entry.getKey().contentEquals("value")){
				for (Entry<String, JsonElement> se : entry.getValue().getAsJsonObject().entrySet()){
					mi.setOption(se.getKey(), se.getValue().getAsString());
				}	
			}
			else if ((entry.getKey().contentEquals("event"))) {
				mi.setEvent(entry.getValue().getAsString());
			}
		}
		return mi;
	}
}