// This Class is not used anymore

package org.synbiowave.synbiowaverobot.menucallbacks;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import org.synbiowave.AbstractSynBioWaveRobot;
import org.synbiowave.biobrick.BioBrickManager;
import org.synbiowave.menu.MenuCallBack;
import org.synbiowave.menu.MenuItem;
import org.synbiowave.menu.MenuItemFactory;
import org.synbiowave.menu.items.Formular;
import org.synbiowave.workspace.Sequence;

import com.google.appengine.repackaged.com.google.common.collect.ImmutableMap;
import com.google.wave.api.BlipContentRefs;
import com.google.wave.api.ElementType;
import com.google.wave.api.Gadget;
import com.google.wave.api.event.Event;

@Deprecated
public final class DatabaseCreateBioBrickBrowser extends MenuCallBack {
	
	private String id = null;
	private int error_code=-1;
	private String error="none";

public void onButtonClicked(Event event, MenuItem menuItem, AbstractSynBioWaveRobot servlet) {
	this.error_code=-1;
	this.error="none";
	try{
		MenuItem ui=new MenuItem("ui","ui","ui");
		MenuItemFactory mif=servlet.getMenuItemFactory(event);
		mif.setRobotID(servlet.getMyRobotId(event.getWavelet()));
		Formular bb=mif.createForm("Import BioBrick","Import BioBrick");
		bb.setOption("sort","02");
		MenuItem bblist=bb.addList("Part","1");
		int count=0;
		for(String ids:BioBrickManager.readBioBrickIDs().tailSet("BBa_K07800")){
			if(count>=500){continue;}
			count++;
			bb.addListitemToList(bblist,"biobrick"+ids,ids);}
		ui.appendSubItem(bb.getPureForm());
		id=bb.getID();
		servlet.connectMenuCallBack(bb,this);
		BlipContentRefs gadget=event.getWavelet().getRootBlip().first(ElementType.GADGET,Gadget.restrictByUrl(servlet.getMenuGadgedURL(event.getWavelet())));
		if(gadget.value()!=null){
			String oldJson=gadget.value().asElement().getProperty("ui.structure");
			if(oldJson!=null){
				ui.importMenu(new MenuItem(oldJson));}
			gadget.updateElement(ImmutableMap.of("ui.structure",ui.toJson()));}}
	catch(Exception e){
		if(e.toString().contains("MalformedByteSequenceException")){this.error_code=2;}
		if(e.toString().contains("IndexOutOfBoundsException")){this.error_code=2;}}
	displayErrorMessage(event);}

public void onFormSubmit(Event event, Formular menuItem, AbstractSynBioWaveRobot servlet) {
	this.error_code=-1;
	this.error="none";
	try{
		//remove BioBrickBrowser from menu
		BlipContentRefs gadget=event.getWavelet().getRootBlip().first(ElementType.GADGET,Gadget.restrictByUrl(servlet.getMenuGadgedURL(event.getWavelet())));
		if(gadget.value()==null){throw new Exception("Gadget not found");}
		if(id==null){throw new IOException("id not found");} 
		String oldJson = gadget.value().asElement().getProperty("ui.structure");
		MenuItem ui = new MenuItem(oldJson);
		ui.removeSubItemByID(id);
		gadget.updateElement(ImmutableMap.of("ui.structure",ui.toJson()));
				
		//and import the selected part
		String id=menuItem.getLists().get(0).getValue();
		Sequence sequence=new Sequence(id,BioBrickManager.readBioBrickSequence(id));
		sequence.setAuthor(event.getModifiedBy());
		List<Map<String,String>> features=BioBrickManager.readBioBrickFeatures(id);
		for(Map<String,String> feature:features){sequence.addAnnotation(feature.get("TYPE_ID"),Integer.parseInt(feature.get("START")),Integer.parseInt(feature.get("END")));}
		sequence.publish(servlet,event.getWavelet(),true);
		sequence.showGadgetView(event.getWavelet().reply("\n"));}
	catch(Exception e){
		if(e.toString().contains("MalformedByteSequenceException")){this.error_code=2;}
		if(e.toString().contains("IndexOutOfBoundsException")){this.error_code=2;}}
	displayErrorMessage(event);}

private void displayErrorMessage(Event event) {
	switch(this.error_code){
		case -1:
			break;
		case 1:
			event.getWavelet().reply("\n\nTimeout while accessing the partsregistry database ...\nEverything's shiny, Cap'n. Not to fret!\nPlease try again in a moment ...");
			break;
		case 2:
			event.getWavelet().reply("\n\nSorry Captain,but this sequence appears to contain errors ...\n");
			break;
		default:
			event.getWavelet().reply("\n\nSorry Captain,but we are experiencing some slight turbulence:\n"+this.error);}}}