package org.synbiowave.synbiowaverobot.menucallbacks;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;

import org.synbiowave.AbstractSynBioWaveRobot;
import org.synbiowave.biojava.ImportExport;
import org.synbiowave.menu.MenuCallBack;
import org.synbiowave.menu.MenuItem;
import org.synbiowave.workspace.Workspace;

import com.google.wave.api.Image;
import com.google.wave.api.event.Event;

public final class old_SequenceCircularView extends MenuCallBack {

	public void onButtonClicked(Event event, MenuItem menuItem, AbstractSynBioWaveRobot servlet) {
		ImportExport ioUtility=new ImportExport();
		try{			
			URL url=new URL("http://shamusjonas.s215.eatj.com/Rebase/RebaseServlet");
			URLConnection conn=url.openConnection();
			conn.setDoOutput(true);
			ioUtility.write(conn.getOutputStream(),Workspace.getActiveSequences(servlet,event.getWavelet()),"genbank");
			BufferedReader br=new BufferedReader(new InputStreamReader(conn.getInputStream()));
			String name=br.readLine();
			br.close();
			if(name!=null){event.getWavelet().reply("\n").append(new Image("http://shamusjonas.s215.eatj.com/test/"+name,500,500,name));}
			else{
				throw new IOException("Timeout loading Cicular View");
				}
			}
		catch(IOException exc){
			servlet.reportError("Sorry, there was an timeout loading the circularview-image.\nThis means either wave or the webservice we use to generate the view experience high load at the moment.\nPlease try again in a moment.", exc, event);
			}	
		catch(Exception exc){
			servlet.reportError("Sorry, there was an error loading the circularview-image.\nThe error has been logged and will hopefully be remove soon.", exc, event);
			}
		}
	}

